# class URLVariables

#### package openfl.net

Available on all platforms

The URLVariables class allows you to transfer variables between an application and a server. Use URLVariables objects with methods of the URLLoader class, with the `data` property of the URLRequest class, and with flash.net package functions.

### Constructor

###

`new (?source:String)`

Creates a new URLVariables object. You pass URLVariables objects to the `data` property of URLRequest objects.

If you call the URLVariables constructor with a string, the `decode()` method is automatically called to convert the string to properties of the URLVariables object.

Parameters:

`source` | A URL-encoded string containing name/value pairs.

### Methods

###

`decode (source:String):Void`

Converts the variable string to properties of the specified URLVariables object.

This method is used internally by the URLVariables events. Most users do not need to call this method directly.

Parameters:

`source` | A URL-encoded query string containing name/value pairs.

Throws:

`Error` | The source parameter must be a URL-encoded query string containing name/value pairs.

###

`toString ():String`

Returns a string containing all enumerable variables, in the MIME content encoding application/x-www-form-urlencoded.

Returns:

A URL-encoded string containing name/value pairs.